ProyectoCrm/src/app/Modulos/HomeModulo/Paginas/fw-home-pedidos/Componentes/fw-home-pedidos-lista/fw-home-pedidos-lista.component.pug
div.Pedidos--Item
  div.col-1
    i.fas.fa-shopping-cart.text-gray-300.fa-2x
  div.col-4
    div.row
      div.col-12
        h5.Pedidos--Item-Titulo [ {{ tPedido.Codpedido }} ] - {{ tPedido.Tipo }}
    div.row
      div.col-12
        h5.Pedidos--Item-Subtitulo Cliente: {{ tPedido.Codcliente }} - {{ tPedido.Descripcion_cliente }}
    div.row
      div.col-12
        h5.Pedidos--Item-Subtitulo Documento: {{ tPedido.Tipo_documento }} - {{ tPedido.Documento }}
  div.col-2
    h5.Pedidos--Item-Titulo {{ tPedido.Estatus }}
  div.col-2
    h5.Pedidos--Item-Cantidad {{ tPedido.Total_cantidad }}
  div.col-2
    h5.Pedidos--Item-Total {{ tPedido.Total | currency: tEmpresaActual.Simbolo }}
  div.col-1
    div.row.pb-1
      div.col-12
        button(type="button",
          (click)="Descargar_Reportes_Pedido()").btn.btn-sm.btn-block.btn-outline-success
          span.fas.fa-file-pdf
    div.row.pb-1
      div.col-12
        button(type="button",
          *ngIf="tPedido.Tipo == 'PREORDEN' && tPedido.Estatus == 'CERRADO'",
          (click)="Aprobar()").btn.btn-sm.btn-block.btn-outline-primary
          span.fas.fa-check
    div.row.pb-1
      div.col-12
        button(type="button",
          *ngIf="tPedido.Tipo == 'PREORDEN' && tPedido.Estatus == 'ACTIVO'",
          (click)="Cerrar()").btn.btn-sm.btn-block.btn-outline-primary
          span.fas.fa-door-closed

ProyectoCrm/src/app/Modulos/HomeModulo/Paginas/fw-home-pedidos/Componentes/fw-home-pedidos-lista/fw-home-pedidos-lista.component.html

<div class="Pedidos--Item">
  <div class="col-1"><i class="fas fa-shopping-cart text-gray-300 fa-2x"></i></div>
  <div class="col-4">
    <div class="row">
      <div class="col-12">
        <h5 class="Pedidos--Item-Titulo">[ {{ tPedido.Codpedido }} ] - {{ tPedido.Tipo }}</h5>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <h5 class="Pedidos--Item-Subtitulo">Cliente: {{ tPedido.Codcliente }} - {{ tPedido.Descripcion_cliente }}</h5>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <h5 class="Pedidos--Item-Subtitulo">Documento: {{ tPedido.Tipo_documento }} - {{ tPedido.Documento }}</h5>
      </div>
    </div>
  </div>
  <div class="col-2">
    <h5 class="Pedidos--Item-Titulo">{{ tPedido.Estatus }}</h5>
  </div>
  <div class="col-2">
    <h5 class="Pedidos--Item-Cantidad">{{ tPedido.Total_cantidad }}</h5>
  </div>
  <div class="col-2">
    <h5 class="Pedidos--Item-Total">{{ tPedido.Total | currency: tEmpresaActual.Simbolo }}</h5>
  </div>
  <div class="col-1">
    <div class="row pb-1">
      <div class="col-12">
        <button class="btn btn-sm btn-block btn-outline-success" type="button" (click)="Descargar_Reportes_Pedido()"><span class="fas fa-file-pdf"></span></button>
      </div>
    </div>
    <div class="row pb-1">
      <div class="col-12">
        <button class="btn btn-sm btn-block btn-outline-primary" type="button" *ngIf="tPedido.Tipo == 'PREORDEN' &amp;&amp; tPedido.Estatus == 'CERRADO'" (click)="Aprobar()"><span class="fas fa-check"></span></button>
      </div>
    </div>
    <div class="row pb-1">
      <div class="col-12">
        <button class="btn btn-sm btn-block btn-outline-primary" type="button" *ngIf="tPedido.Tipo == 'PREORDEN' &amp;&amp; tPedido.Estatus == 'ACTIVO'" (click)="Cerrar()"><span class="fas fa-door-closed"></span></button>
      </div>
    </div>
  </div>
</div>
